#version 120


varying vec3 normal;
varying vec4 vertex_3d_original;
varying vec4 vertex_3d_modelview;

uniform vec3 translation;

void main (void)
{
    //position du vertex courant
    vec4 position=gl_Vertex;

    //translation
    position += vec4(translation,0.0f);

    //projection (equivalent de ftransform())
    gl_Position = gl_ProjectionMatrix*gl_ModelViewMatrix*position;


    normal = gl_NormalMatrix * normalize(gl_Normal);
    vertex_3d_original=gl_Vertex;
    vertex_3d_modelview=gl_ModelViewMatrix*gl_Vertex;
    gl_TexCoord[0]=gl_MultiTexCoord0;
}
